Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiMeshModifiers Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | BuildNormalmap ([in] BSTR bszSelection)
HRESULT | SimplifyMesh ([in] BSTR bszSelection)
HRESULT | ChangeSSLevel ([in] int iDiff)
HRESULT | ShowMeshEditSettings ([in] BSTR WinID)
HRESULT | TipSelection ([in] BSTR bszSelection)
HRESULT | NormalSweepSelection ([in] BSTR bszSelection)
HRESULT | WeldSelection ([in] BSTR bszSelection)
HRESULT | DeleteElements ([in] BSTR bszSelection)
HRESULT | FlipFacesNormals ([in] BSTR bszSelection)
HRESULT | SplitPolygons ([in] BSTR bszSelection)
HRESULT | MergePolygons ([in] BSTR bszSelection)
HRESULT | ExtrudeSelection ([in] BSTR bszSelection)
HRESULT | DuplicateSelection ([in] BSTR bszSelection)
HRESULT | MirrorSelection ([in] BSTR bszSelection)
HRESULT | Subdivide ([in] BSTR bszSelection)
HRESULT | Smoothdivide ([in] BSTR bszSelection)
HRESULT | AddFace ([in] BSTR bszSelection)

## Detailed Description

The IRiMeshModifiers interface provides methods to perform various mesh modifications.
Root-level name in the scripting engine's name space: MeshModifiers

## Member Function Documentation

HRESULT IRiMeshModifiers::BuildNormalmap | ( | [in] BSTR | bszSelection | ) |

  | Build normal map. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::SimplifyMesh | ( | [in] BSTR | bszSelection | ) |

  | Simplify mesh Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::ChangeSSLevel | ( | [in] int | iDiff | ) |

  | Change subdivision surface level Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::ShowMeshEditSettings | ( | [in] BSTR | WinID | ) |

  | Show mesh editor settings panel. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::TipSelection | ( | [in] BSTR | bszSelection | ) |

  | Tip selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::NormalSweepSelection | ( | [in] BSTR | bszSelection | ) |

  | Normal sweep selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::WeldSelection | ( | [in] BSTR | bszSelection | ) |

  | Weld selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::DeleteElements | ( | [in] BSTR | bszSelection | ) |

  | Delete elements. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::FlipFacesNormals | ( | [in] BSTR | bszSelection | ) |

  | Flip faces normals. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::SplitPolygons | ( | [in] BSTR | bszSelection | ) |

  | Split polygons. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::MergePolygons | ( | [in] BSTR | bszSelection | ) |

  | Merge polygons. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::ExtrudeSelection | ( | [in] BSTR | bszSelection | ) |

  | Extrude selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::DuplicateSelection | ( | [in] BSTR | bszSelection | ) |

  | Duplicate selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::MirrorSelection | ( | [in] BSTR | bszSelection | ) |

  | Mirror selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::Subdivide | ( | [in] BSTR | bszSelection | ) |

  | Subdivide selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::Smoothdivide | ( | [in] BSTR | bszSelection | ) |

  | Smooth divide selection. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRiMeshModifiers::AddFace | ( | [in] BSTR | bszSelection | ) |

  | Add face. Selected nodes must be in point edit mode. Parameters:
  bszSelection | Specify node or '' for current selection.
Returns: standard HRESULT processing can be applied to returned value